# boost::numeric::ublas::matrix_vector_range< M >::iterator Class Reference

List of all members.

## Public Types

typedef matrix_vector_range::value_type | value_type
typedef matrix_vector_range::difference_type | difference_type
typedef matrix_vector_range::reference | reference
typedef matrix_vector_range::value_type * | pointer

## Public Member Functions

| BOOST_STATIC_ASSERT ((boost::is_same< typename M::const_iterator1::iterator_category, typename M::const_iterator2::iterator_category >::value))
BOOST_UBLAS_INLINE | iterator (self_type &mvr, const subiterator1_type &it1, const subiterator2_type &it2)
BOOST_UBLAS_INLINE iterator & | operator++ ()
BOOST_UBLAS_INLINE iterator & | operator-- ()
BOOST_UBLAS_INLINE iterator & | operator+= (difference_type n)
BOOST_UBLAS_INLINE iterator & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const iterator &it) const
BOOST_UBLAS_INLINE reference | operator* () const
BOOST_UBLAS_INLINE reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE size_type | index () const
BOOST_UBLAS_INLINE iterator & | operator= (const iterator &it)
BOOST_UBLAS_INLINE bool | operator== (const iterator &it) const
BOOST_UBLAS_INLINE bool | operator< (const iterator &it) const

## Friends

class | const_iterator

### template<class M>
class boost::numeric::ublas::matrix_vector_range< M >::iterator